org.eclipse.microprofile.lra.tck.participant.api

## Class NonParticipatingTckResource

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.participant.api.ResourceParent
  - - org.eclipse.microprofile.lra.tck.participant.api.NonParticipatingTckResource

    @ApplicationScoped
     @Path(value="non-participating-tck-resource")
    public class NonParticipatingTckResource
    extends ResourceParent

### Field Summary

Fields
`static String` `END_PATH`
`static String` `NEVER_PATH`
`static String` `START_AND_END_NESTED_PATH`
`static String` `START_AND_END_PATH`
`static String` `START_BUT_DONT_END_NESTED_PATH`
`static String` `START_BUT_DONT_END_PATH`
`static String` `START_LRA_VIA_REMOTE_INVOCATION`
`static String` `STATUS_CODE_QUERY_NAME`
`static String` `SUPPORTS_PATH`
`static String` `TCK_NON_PARTICIPANT_RESOURCE_PATH`

### Constructor Summary

Constructors
Constructor and Description
`NonParticipatingTckResource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `endLRA(URI lraId, int coerceStatus)`
`jakarta.ws.rs.core.Response` `neverRunWithLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `notSupportedButCallServiceWhichStartsButDoesntEndAnLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `startAndDontEndNestedLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `startAndEndLRA(URI lraId, int coerceStatus)`
`jakarta.ws.rs.core.Response` `startAndEndNestedLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `startDontEndLRA(URI lraId, int coerceStatus)`
`jakarta.ws.rs.core.Response` `supports(URI lraId)`

### Methods inherited from class org.eclipse.microprofile.lra.tck.participant.api.ResourceParent

`afterLRA`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TCK_NON_PARTICIPANT_RESOURCE_PATH

    public static final String TCK_NON_PARTICIPANT_RESOURCE_PATH

See Also:
  Constant Field Values

#### START_AND_END_PATH

    public static final String START_AND_END_PATH

See Also:
  Constant Field Values

#### START_BUT_DONT_END_PATH

    public static final String START_BUT_DONT_END_PATH

See Also:
  Constant Field Values

#### START_AND_END_NESTED_PATH

    public static final String START_AND_END_NESTED_PATH

See Also:
  Constant Field Values

#### START_BUT_DONT_END_NESTED_PATH

    public static final String START_BUT_DONT_END_NESTED_PATH

See Also:
  Constant Field Values

#### NEVER_PATH

    public static final String NEVER_PATH

See Also:
  Constant Field Values

#### END_PATH

    public static final String END_PATH

See Also:
  Constant Field Values

#### SUPPORTS_PATH

    public static final String SUPPORTS_PATH

See Also:
  Constant Field Values

#### STATUS_CODE_QUERY_NAME

    public static final String STATUS_CODE_QUERY_NAME

See Also:
  Constant Field Values

#### START_LRA_VIA_REMOTE_INVOCATION

    public static final String START_LRA_VIA_REMOTE_INVOCATION

See Also:
  Constant Field Values

### Constructor Detail

#### NonParticipatingTckResource

    public NonParticipatingTckResource()

### Method Detail

#### neverRunWithLRA

    @PUT
     @Path(value="/never")
    public jakarta.ws.rs.core.Response neverRunWithLRA(@HeaderParam(value="Long-Running-Action")
                                                                                   URI lraId)

#### supports

    @PUT
     @Path(value="/supports")
    public jakarta.ws.rs.core.Response supports(@HeaderParam(value="Long-Running-Action")
                                                                               URI lraId)

#### startAndEndLRA

    @PUT
     @Path(value="/start-and-end")
    public jakarta.ws.rs.core.Response startAndEndLRA(@HeaderParam(value="Long-Running-Action")
                                                                                          URI lraId,
                                                                                          @DefaultValue(value="200") @QueryParam(value="Coerce-Status")
                                                                                          int coerceStatus)

#### startDontEndLRA

    @PUT
     @Path(value="/start-dont-end")
    public jakarta.ws.rs.core.Response startDontEndLRA(@HeaderParam(value="Long-Running-Action")
                                                                                            URI lraId,
                                                                                            @DefaultValue(value="200") @QueryParam(value="Coerce-Status")
                                                                                            int coerceStatus)

#### endLRA

    @PUT
     @Path(value="/end")
    public jakarta.ws.rs.core.Response endLRA(@HeaderParam(value="Long-Running-Action")
                                                                        URI lraId,
                                                                        @DefaultValue(value="200") @QueryParam(value="Coerce-Status")
                                                                        int coerceStatus)

#### startAndEndNestedLRA

    @PUT
     @Path(value="/start-nested-and-end")
    public jakarta.ws.rs.core.Response startAndEndNestedLRA(@HeaderParam(value="Long-Running-Action")
                                                                                                       URI lraId)

#### startAndDontEndNestedLRA

    @PUT
     @Path(value="/start-nested-and-dont-end")
    public jakarta.ws.rs.core.Response startAndDontEndNestedLRA(@HeaderParam(value="Long-Running-Action")
                                                                                                                URI lraId)

#### notSupportedButCallServiceWhichStartsButDoesntEndAnLRA

    @PUT
     @Path(value="/start-via-remote-invocation")
    public jakarta.ws.rs.core.Response notSupportedButCallServiceWhichStartsButDoesntEndAnLRA(@HeaderParam(value="Long-Running-Action")
                                                                                                                                                URI lraId)